# Interface methods for submodule: StreamingProcessObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: StreamingProcessObject
class StreamingProcessObjectProxy(_ProcessObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def PropagateRequestedRegion(self, output) -> None:
		""""""
		...

	def GenerateData(self) -> None:
		""""""
		...

	def UpdateOutputData(self, output) -> None:
		""""""
		...

	def GetCurrentRequestNumber(self) -> int:
		""""""
		...

	def ResetPipeline(self) -> None:
		""""""
		...

